<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/maven-v4_0_0.xsd">

    <modelVersion>4.0.0</modelVersion>
    <artifactId>graphhopper-web-bundle</artifactId>
    <packaging>jar</packaging>
    <version>gh-oh-2.0-SNAPSHOT</version>
    <name>GraphHopper Dropwizard Bundle</name>
    <description>Use the GraphHopper routing engine as a web-service</description>

    <parent>
        <groupId>com.graphhopper</groupId>
        <artifactId>graphhopper-parent</artifactId>
        <version>gh-oh-2.0-SNAPSHOT</version>
    </parent>

    <dependencies>
        <dependency>
            <groupId>com.graphhopper</groupId>
            <artifactId>graphhopper-web-api</artifactId>
            <version>${project.parent.version}</version>
        </dependency>
        <dependency>
            <groupId>com.graphhopper</groupId>
            <artifactId>graphhopper-reader-osm</artifactId>
            <version>${project.parent.version}</version>
        </dependency>
        <dependency>
            <groupId>com.graphhopper</groupId>
            <artifactId>graphhopper-reader-gtfs</artifactId>
            <version>${project.parent.version}</version>
        </dependency>

        <dependency>
            <groupId>com.graphhopper</groupId>
            <artifactId>graphhopper-isochrone</artifactId>
            <version>${project.parent.version}</version>
        </dependency>

        <!-- required for JDK9 -->
        <dependency>
            <groupId>javax.xml.ws</groupId>
            <artifactId>jaxws-api</artifactId>
            <version>2.3.1</version>
        </dependency>
        <!-- required for dropwizard -->
        <dependency>
            <groupId>com.google.guava</groupId>
            <artifactId>guava</artifactId>
        </dependency>
        <dependency>
            <groupId>io.dropwizard</groupId>
            <artifactId>dropwizard-core</artifactId>
        </dependency>
        <dependency>
            <groupId>io.dropwizard</groupId>
            <artifactId>dropwizard-client</artifactId>
        </dependency>
        <dependency>
            <groupId>io.dropwizard</groupId>
            <artifactId>dropwizard-testing</artifactId>
            <scope>test</scope>
        </dependency>

        <!-- for integration tests of service -->
        <dependency>
            <groupId>com.graphhopper</groupId>
            <artifactId>directions-api-client-hc</artifactId>
            <version>${project.parent.version}</version>
            <scope>test</scope>
        </dependency>

    </dependencies>

</project>


